# 37. Запрос: получить "SatelliteImages" в заданном интервале

Получить "СпутниковыеИзображения" в заданном временном интервале (`before` и `after` даты).

Фильтры `before` и `after` принадлежат [формату AWSDate](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html).&#x20;

Можно использовать только один из фильтров.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
запрос GetFieldSatelliteImagesWithDateFilter {
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    userUuid
    название
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      название
      датаСоздания
      area(unit: HECTARES)
      satelliteImages(after: "2019-06-10" before:  "2019-07-10"){
         satelliteImage{
          acquisitionDate
          provider
         }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/37.-zapros-poluchit-satelliteimages-v-zadannom-intervale.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
